Last modified: 2014-09-05 00:54:27 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56063 - Email notifications in Indian language wikis have excess newlines
Email notifications in Indian language wikis have excess newlines
Status: NEW
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
1.22.0
All All
: Low minor (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: 40760
  Show dependency treegraph
 
Reported: 2013-10-23 19:45 UTC by Nasir Khan Saikat
Modified: 2014-09-05 00:54 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Received email content format (87.10 KB, image/jpeg)
2013-10-24 06:06 UTC, Nasir Khan Saikat
Details
Email content format (how it should be) (77.25 KB, image/jpeg)
2013-10-24 06:07 UTC, Nasir Khan Saikat
Details
enotif from te.wiki (3.14 KB, text/plain)
2013-10-26 07:34 UTC, Nemo
Details
Original Email Content bn.wiki (4.80 KB, text/plain)
2013-10-27 08:54 UTC, Nasir Khan Saikat
Details

Description Nasir Khan Saikat 2013-10-23 19:45:49 UTC
I am Nasir, an active contributor of Bengali WIkipedia. I use the email notifications for the change on my watch list pages and it is also enabled for all the notifications. It is helpful to get the notifications as email but the emails are not formatted as it should. I faced the following issues for the Bengali emails and i think these should be fixed soon.

* Sometimes a new line appeases between the words of a page name, and sometimes new line appears after 4/5 words in a sentence. I think we are using a fixed DIV width for these texts. If it will be removed then it may be fixed.

* Unicode URLs are not readable at all. For the Bengali wiki urls we can make some changes to make the url more readable. like url format could be like this <a href="PAGE_LINK">http://bn.wikipedia.org/wiki/PAGE_NAME</a>
Comment 1 Nemo 2013-10-23 21:57:26 UTC
(In reply to comment #0)
> * Sometimes a new line appeases between the words of a page name, and
> sometimes
> new line appears after 4/5 words in a sentence. I think we are using a fixed
> DIV width for these texts. If it will be removed then it may be fixed.

Attaching or pasting one such email would be helpful.

> 
> * Unicode URLs are not readable at all. For the Bengali wiki urls we can make
> some changes to make the url more readable. like url format could be like
> this
> <a href="PAGE_LINK">http://bn.wikipedia.org/wiki/PAGE_NAME</a>

HTML enotifs are done by [[mw:Echo]]; maybe ShortUrl could also be used in text enotifs, that should be another bug.
Comment 2 Nasir Khan Saikat 2013-10-24 06:06:56 UTC
Created attachment 13552 [details]
Received email content format
Comment 3 Nasir Khan Saikat 2013-10-24 06:07:59 UTC
Created attachment 13553 [details]
Email content format (how it should be)
Comment 4 Nasir Khan Saikat 2013-10-24 06:13:31 UTC
Uploaded two attachments first one (Attachment 13552 [details], Received email content format) is the screenshot of the received email and the second one (Attachment 13553 [details],  Email content format (how it should be)) shows how the email contents should be displayed.

--
Nasir Khan Saikat
Comment 5 Nasir Khan Saikat 2013-10-24 10:22:00 UTC
I was not asking about the ShortUrl. The link we receive in the email are not hu PAGE_NAME are displayed properly in the email  the email we 
<a href="PAGE_LINK">http://bn.wikipedia.org/wiki/PAGE_NAME</a>
Comment 6 Andre Klapper 2013-10-25 11:57:49 UTC
As written in comment 1, attaching one such example email (with header lines) would be very helpful (please make sure that no confidential data is included).
Comment 7 Nemo 2013-10-25 12:33:50 UTC
(In reply to comment #4)
> Uploaded two attachments first one (Attachment 13552 [details], Received
> email content
> format) is the screenshot of the received email and the second one
> (Attachment
> 13553 [details],  Email content format (how it should be)) shows how the
> email contents
> should be displayed.

The URLs seem functional in both examples, so this bug seems to be about newlines in the non-URL text of the email notifications. How did you get Gmail to show the message correctly? How can we see it ourselves and how do we know it's a problem in MediaWiki?

On plain text and long URLs, see comment 1.
Comment 8 Nasir Khan Saikat 2013-10-25 21:06:42 UTC
@Andre Klapper, are you asking me to export the original email content and attach that here?

@Nemo, If you open a Gmail  email in print mode you can get the email texts in this format. First screenshot is the original message, i did nothing here, just captured the screenshot. And after opening the email in print mode i edited the source and took the second screenshot. The is a <br> (line break) after 3/4 wards in that source, i cleaned those and the texts look ok. 

Yes, it is a problem of MediaWiki, because between the word of a page names  (example উইকিপিডিয়া:প্রশাসকদের আলোচনাসভা) there is no way to add a line break. but i got these "উইকিপিডিয়া:প্রশাসকদের আলোচনাসভা" 3 words in 2 lines. 

--Nasir Khan
Comment 9 Nemo 2013-10-26 07:08:56 UTC
Yes, full email content or export in .eml format would help: then everyone can open the email in Thunderbird. :)
Comment 10 Nemo 2013-10-26 07:34:53 UTC
Created attachment 13592 [details]
enotif from te.wiki

I remembered receiving some enotifs with weird newlines, so I retrieved one from te.wiki: the newlines are wrong there too, right?
(Again, for long URLs please file another report.)
Comment 11 Nasir Khan Saikat 2013-10-27 08:54:50 UTC
Created attachment 13594 [details]
Original Email Content bn.wiki

@Nemo, Yes the problem is similar as the te.wiki. There are some additional new line there. I have attached a copy of the bn.wiki email.
I do not know how to export as .eml form Gmail. Here i just attached the 'Original Contents' of that email. Please let me know if it is helpful or not. 

--
Nasir Khan
Comment 12 Nemo 2013-10-27 19:49:13 UTC
(In reply to comment #11)
> @Nemo, Yes the problem is similar as the te.wiki. There are some additional
> new
> line there.

Ok great. Now that we've clarified the issue: Santhosh, do you know what may be causing this weird wrapping in plain text enotifs?
Comment 13 Nasir Khan Saikat 2014-09-01 08:31:19 UTC
Is there any update in this bug?
Comment 14 Andre Klapper 2014-09-01 10:17:35 UTC
Unfortunately not. 

Somebody needs to investigate here what may be causing that weird wrapping in plain text enotifs...

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links